import { ElementId, Position } from './flow';
import { HandleType } from './components';
export declare enum ConnectionLineType {
    Bezier = "default",
    Straight = "straight",
    Step = "step",
    SmoothStep = "smoothstep"
}
export interface Connection {
    source: ElementId;
    target: ElementId;
    sourceHandle?: ElementId;
    targetHandle?: ElementId;
}
export declare type ConnectionLineProps = {
    sourceX: number;
    sourceY: number;
    sourcePosition?: Position;
    targetX: number;
    targetY: number;
    targetPosition?: Position;
    connectionLineStyle?: any;
    connectionLineType: ConnectionLineType;
};
export declare type OnConnectFunc = (connection: Connection) => void;
export declare type OnConnectStartParams = {
    nodeId?: ElementId;
    handleId?: ElementId;
    handleType?: HandleType;
};
export declare type OnConnectStartFunc = (event: MouseEvent, params: OnConnectStartParams) => void;
export declare type OnConnectStopFunc = (event: MouseEvent) => void;
export declare type OnConnectEndFunc = (event: MouseEvent) => void;
export declare enum ConnectionMode {
    Strict = "strict",
    Loose = "loose"
}
export declare type SetConnectionId = {
    connectionNodeId: ElementId | undefined;
    connectionHandleId: ElementId | undefined;
    connectionHandleType: HandleType | undefined;
};
